Class | ActiveMerchant::Billing::PsigateGateway
In: | lib/active_merchant/billing/gateways/psigate.rb
Parent: | Gateway

### Methods

authorize capture credit new purchase

### Constants

TEST_URL | = | 'https://dev.psigate.com:7989/Messenger/XMLMessenger'
LIVE_URL | = | 'https://secure.psigate.com:7934/Messenger/XMLMessenger'
SUCCESS_MESSAGE | = | 'Success'
FAILURE_MESSAGE | = | 'The transaction was declined'

### Public Class methods

new(options = {})

### Public Instance methods

authorize(money, creditcard, options = {})

Psigate PreAuth

capture(money, authorization, options = {})

Psigate PostAuth

credit(money, authorization, options = {})

Psigate Credit

purchase(money, creditcard, options = {})

Psigate Sale

[Validate]